Bug 139924 - Tools > Autocorrect > Apply with "Replace bullets with" only works with Default Style in [M], while hyphen is not converted to chosen symbol in [T], and chosen bullet symbols are shown in wrong option
Summary: Tools > Autocorrect > Apply with "Replace bullets with" only works with Defau...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2021-01-26 13:04 UTC by sdc.blanco
Modified: 2021-02-02 03:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2021-01-26 13:04:51 UTC
0. Tools > AutoCorrect > AutoCorrect Options - Options tab
   uncheck all [T] fields.  uncheck all [M] fields, except for 
   "Replace bullets with"

1.  According to: 

 https://help.libreoffice.org/7.2/en-US/text/shared/01/06040100.html

Replace bullets with

Converts paragraphs that start with a hyphen (-), a plus sign (+), or an asterisk (*) directly followed by a space or a tab, to bulleted lists. This option only works on paragraphs that are formatted with the "Default", "Text Body", or "Text Body Indent" paragraph styles. 

2.  Make a test file according to the instructions given in help.

3.  Then Tools > AutoCorrect > Apply

Actual Results:  Works for "Default Paragraph Style";  does not work for "Text Body" or "Text Body Indent"

Expected:  Works according to Help page.

Additional Information:

1. Well-known that many Tools > AutoCorrect > Apply only work with "Default Paragraph Style".   No opinion or preference expressed here about expected LO behavior.  


2.  Rather the main question of this ticket:   

   Is this behavior considered a "bug" and therefore the help page should not be changed?  
  
   or 

  Is the help page wrong about expected behavior, and therefore should be changed?
Comment 1 V Stuart Foote 2021-01-26 15:22:19 UTC
Confirmed, the 'Text Body' and 'Text Body Indented' PS do not pick up the autoformatting. The Help is wrong.

Also, for 'Default' PS the autocorrect will change the selected would be list items to 'List 1' PS even if the change into bullets is rejected following an apply and edit. So something is not quite correctly implemented.
Comment 2 Heiko Tietze 2021-01-27 11:14:36 UTC Comment hidden (off-topic)
Comment 3 sdc.blanco 2021-01-29 01:45:18 UTC
For [T] option

1. Possible to use the three PS named in Help: Default, Text Body, and Text Body Indent.  (did not work with Heading, Quotation)

2. For "hyphen", the auto-bulleted list used "hyphen" as bullet character, not the bullet character specified in Options. 
 (* and + did use the specified bullet character).
Comment 4 sdc.blanco 2021-01-29 01:55:43 UTC
The result of bullet editing is shown in the wrong place for both [T] and [M] (i.e., they are inverted).

1. Select "Replace bullets with:"  (under [M])
2. Press Edit, and change bullet.

Actual result:  Bullets and Numbered Lists Bullet symbol: (bullet here)
(i.e., under [T]) shows the change.  But the bullet shown there is the one applied when using Tools > AutoCorrect > Apply. (i.e., [M])

Expected:  the bullet change appears for the option that was selected.

Conversely.

1. Select "Bullets and Numbered Lists Bullet symbol:" (under [T])
2. Press Edit, and change bullet.

Actual:  change shows up in the [M] case (but gets applied correctly in While Typing, if not a "hyphen", see comment 3)

Expected: bullet appears for option that was selected.
Comment 5 sdc.blanco 2021-02-02 03:02:56 UTC
Additional problem.  

'While Typing'[T] option only works if [M] option "Replace bullets with" is also selected.

If [T] option "Bullets and Numbered Lists Bullet symbol" is selected, without the [M] option (and While Typing is enabled), then no autocorrection  to list while typing for + * and - 

(Related to the inverted relation of the bullet symbols described in comment 4? )